Package x2go :: Module rforward :: Class X2GoRevFwChannelThread

[frames] | no frames]

# Class X2GoRevFwChannelThread

source code

            object --+
                     |
    threading._Verbose --+
                         |
          threading.Thread --+
                             |
                            X2GoRevFwChannelThread

Known Subclasses:
  - sftpserver.X2GoRevFwSFTPChannelThread

Starts a thread for each incoming Paramiko/SSH data channel trough the reverse forwarding tunnel.

Instance Methods

__init__(self, channel, remote=None, **kwargs) Initializes a reverse forwarding channel thread. | source code

Inherited from `threading.Thread`: `__repr__`, `getName`, `isAlive`, `isDaemon`, `is_alive`, `join`, `run`, `setDaemon`, `setName`, `start` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `threading.Thread`: `daemon`, `ident`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self, channel, remote=None, **kwargs)
(Constructor)

source code

Initializes a reverse forwarding channel thread.

Parameters:
  - `channel` (class) - incoming Paramiko/SSH channel from the X2GoSession's transport accept queue
  - `remote` (`tuple(str, int)`) - tuple (addr, port) that specifies the data endpoint of the channel
Overrides: object.__init__